project-x crashes on startup / Java IcedTea 64-Bit

Bug #191075 reported by Kai Schroeder on 2008-02-11
This bug report is a duplicate of:  Bug #200481: Netbeans 6 doesn't start. Edit Remove
8
Affects Status Importance Assigned to Milestone
icedtea-java7 (Ubuntu)
Undecided
Unassigned
project-x (Ubuntu)
Undecided
Unassigned

Bug Description

project-x crashes directly when it is started:

kai@main:~$ projectx
Reading GUI-Switch...
Reading Help Switch...
Reading Config File Switch...
Start with GUI...
Loading last Config or Standard File...
ini load error: java.io.FileNotFoundException: /home/kai/X.ini (No such file or directory)
Loading Language -> 'en'

ProjectX 0.90.4.00/30.03.2006 TEST PROJECT ONLY , User: kai

TERMS AND CONDITIONS:
(1) this is a free Java based demux utility.
(2) It is intended for educational purposes only, as a non-commercial test project.
(3) released under the terms of the GNU GPL.
(4) there is NO WARRANTY of any kind attached to this software.
(5) use it at your own risk and for your own education.

Java Environment
February 11, 2008 8:33:12 PM GMT
java.version 1.7.0
java.vendor Sun Microsystems Inc.
java.home /usr/lib/jvm/java-7-icedtea/jre
java.vm.version 1.7.0-b24
java.vm.vendor Sun Microsystems Inc.
java.vm.name IcedTea 64-Bit Server VM
java.class.vers 50.0
java.class.path /usr/share/java/ProjectX.jar
os.name Linux
os.arch amd64
os.version 2.6.24-7-generic
ini.file /home/kai/X.ini
ext.disk.access disabled or library not found
user.language en
user.name kai
user.home /home/kai

quick CL usage:
Note: CL doesn't load the GUI components, except with switch [-gui]
<without options> ...starts the GUI
switches and inputfiles can be in any order

options:
[-ini <path + inifile>] ..use that specified iniFile instead of the standard
[-dvx1] ..create a .d2v ProjectFile on demux
[-dvx2] ..create a .d2v ProjectFile + .ac3.wav (RIFF WAVE Header)
[-dvx3] ..create a .d2v ProjectFile + .mpa.wav (RIFF WAVE Header)
[-dvx4] ..create a .d2v ProjectFile + .ac3.wav + mpa.wav (RIFF WAVE Header)
[-out <path>] ..use that specified directory for output
[-name <filename>] ..use that specified filename for output
[-cut <file>] ..use that text based file as cutpoint list
[-chp <file>] ..use that text based file as chapterpoint list
[-id <tokens>] ..use only these (P)IDs, separated by comma ","
[-gui] ..display the GUI using all given CLI options
[-log] ..write the normal logfile
[-saveini] ..save changes made bei CLI in active .ini
[-split <xxx>] ..split output at xxx MB
[-demux, -tom2p, -topva, -tovdr, -tots, -filter] ..action types

Loading Basic Classes...
Reading CLI Switches...
#
# An unexpected error has been detected by Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007f7a8b48c141, pid=13890, tid=1106835792
#
# Java VM: IcedTea 64-Bit Server VM (1.7.0-b24 mixed mode linux-amd64)
# Problematic frame:
# V [libjvm.so+0x5ca141]
#
# An error report file with more information is saved as:
# /home/kai/hs_err_pid13890.log
#
# If you would like to submit a bug report, please visit:
# http://icedtea.classpath.org/bugzilla
#
Aborted (core dumped)
kai@main:~$ cat /home/kai/hs_err_pid13890.log
#
# An unexpected error has been detected by Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007f7a8b48c141, pid=13890, tid=1106835792
#
# Java VM: IcedTea 64-Bit Server VM (1.7.0-b24 mixed mode linux-amd64)
# Problematic frame:
# V [libjvm.so+0x5ca141]
#
# If you would like to submit a bug report, please visit:
# http://icedtea.classpath.org/bugzilla
#

--------------- T H R E A D ---------------

Current thread (0x0000000000609000): JavaThread "main" [_thread_in_vm, id=13891, stack(0x0000000041e8f000,0x0000000041f90000)]

siginfo:si_signo=SIGSEGV: si_errno=0, si_code=128 (), si_addr=0x0000000000000000

Registers:
RAX=0x0000000000609000, RBX=0x0000000000609000, RCX=0x0000000000609000, RDX=0x00007f7a8c249280
RSP=0x0000000041f8ccd0, RBP=0x0000000041f8cd00, RSI=0x0000000041f8fa30, RDI=0x0000000000000001
R8 =0x0000000000000000, R9 =0x0000000000000000, R10=0x00007f7a869bd825, R11=0x00007f7a8b3fb5a0
R12=0x5809466000007f83, R13=0x0000000000609000, R14=0x0000000041f8cda0, R15=0x00007f7a8b892880
RIP=0x00007f7a8b48c141, EFL=0x0000000000010246, CSGSFS=0x0000000000000033, ERR=0x0000000000000000
  TRAPNO=0x000000000000000d

Top of Stack: (sp=0x0000000041f8ccd0)
0x0000000041f8ccd0: 0000000041f8cdf0 00007f7a5caa4fc0
0x0000000041f8cce0: 0000000000000101 00007f7a5caa4fc0
0x0000000041f8ccf0: 0000000041f8cda0 0000000000609000
0x0000000041f8cd00: 0000000041f8cd70 00007f7a869bd852
0x0000000041f8cd10: 0000000000646720 0000000000646740
0x0000000041f8cd20: 0000000000646748 0000000000646748
0x0000000041f8cd30: 0000000041f8cd30 0000000000000000
0x0000000041f8cd40: 0000000041f8cda0 00007f7a5caa8a38
0x0000000041f8cd50: 0000000000000000 00007f7a5caa4fc0
0x0000000041f8cd60: 0000000000000000 0000000041f8cd90
0x0000000041f8cd70: 0000000041f8cdf0 00007f7a869b2322
0x0000000041f8cd80: 0000000000000000 00007f7a869ba34e
0x0000000041f8cd90: 5809466000007f83 0000000000646728
0x0000000041f8cda0: 00007f7a7c988900 00000000000000ff
0x0000000041f8cdb0: 0000000041f8cdb0 00007f7a5d23568f
0x0000000041f8cdc0: 0000000041f8ce08 00007f7a5d238b58
0x0000000041f8cdd0: 0000000000000000 00007f7a5d2356a8
0x0000000041f8cde0: 0000000041f8cd90 0000000041f8ce00
0x0000000041f8cdf0: 0000000041f8ce50 00007f7a869b2298
0x0000000041f8ce00: 5809466000007f83 00007f7a869b21c9
0x0000000041f8ce10: 0000000041f8ce10 00007f7a5d235764
0x0000000041f8ce20: 0000000041f8ce70 00007f7a5d238b58
0x0000000041f8ce30: 0000000000000000 00007f7a5d235788
0x0000000041f8ce40: 0000000041f8ce00 0000000041f8ce60
0x0000000041f8ce50: 0000000041f8ceb8 00007f7a869b2298
0x0000000041f8ce60: 0000000000000009 5809466000007f7a
0x0000000041f8ce70: 0000000000000000 0000000041f8ce78
0x0000000041f8ce80: 00007f7a5d1ebc19 0000000041f8cf48
0x0000000041f8ce90: 00007f7a5d1f2de8 0000000000000000
0x0000000041f8cea0: 00007f7a5d1ebea8 0000000041f8ce60
0x0000000041f8ceb0: 0000000041f8cf50 0000000041f8cf90
0x0000000041f8cec0: 00007f7a869b20fa 0000000000000000

Instructions: (pc=0x00007f7a8b48c141)
0x00007f7a8b48c131: 00 00 8b 38 e8 a6 05 b7 ff c6 80 44 02 00 00 01
0x00007f7a8b48c141: 45 0f b6 34 24 c6 80 44 02 00 00 00 48 8b 5b 48

Stack: [0x0000000041e8f000,0x0000000041f90000], sp=0x0000000041f8ccd0, free space=1015k
Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
V [libjvm.so+0x5ca141]
j sun.misc.Unsafe.getByte(J)B+0
j sun.awt.X11.Native.getUByte(J)S+7
j sun.awt.X11.Native.getUByte(JI)S+4
j sun.awt.X11.XToolkit.setupModifierMap()V+177
j sun.awt.X11.XToolkit.<clinit>()V+158
v ~StubRoutines::call_stub
V [libjvm.so+0x3321cb]
V [libjvm.so+0x331348]
V [libjvm.so+0x30eb76]
V [libjvm.so+0x31147d]
V [libjvm.so+0x311961]
V [libjvm.so+0x389e8a]
V [libjvm.so+0x39478a]
C [libjava.so+0x11fc9] Java_java_lang_Class_forName0+0x139
j java.lang.Class.forName0(Ljava/lang/String;ZLjava/lang/ClassLoader;)Ljava/lang/Class;+0
j java.lang.Class.forName(Ljava/lang/String;)Ljava/lang/Class;+5
j java.awt.Toolkit$2.run()Ljava/lang/Object;+13
v ~StubRoutines::call_stub
V [libjvm.so+0x3321cb]
V [libjvm.so+0x331348]
V [libjvm.so+0x39bc18]
j java.security.AccessController.doPrivileged(Ljava/security/PrivilegedAction;)Ljava/lang/Object;+0
j java.awt.Toolkit.getDefaultToolkit()Ljava/awt/Toolkit;+16
j javax.swing.JFileChooser.installShowFilesListener()V+0
j javax.swing.JFileChooser.setup(Ljavax/swing/filechooser/FileSystemView;)V+1
j javax.swing.JFileChooser.<init>(Ljava/io/File;Ljavax/swing/filechooser/FileSystemView;)V+128
j javax.swing.JFileChooser.<init>()V+9
j net.sourceforge.dvb.projectx.gui.X_JFileChooser.<init>()V+1
j net.sourceforge.dvb.projectx.gui.CommonGui.<init>()V+8
j net.sourceforge.dvb.projectx.gui.GuiInterfaceImpl.init()V+4
j net.sourceforge.dvb.projectx.gui.GuiInterfaceImpl.<init>()V+5
v ~StubRoutines::call_stub
V [libjvm.so+0x3321cb]
V [libjvm.so+0x331348]
V [libjvm.so+0x52221e]
V [libjvm.so+0x522a22]
V [libjvm.so+0x390f83]
j sun.reflect.NativeConstructorAccessorImpl.newInstance0(Ljava/lang/reflect/Constructor;[Ljava/lang/Object;)Ljava/lang/Object;+0
j sun.reflect.NativeConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+72
j sun.reflect.DelegatingConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+5
j java.lang.reflect.Constructor.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+92
j java.lang.Class.newInstance0()Ljava/lang/Object;+118
j java.lang.Class.newInstance()Ljava/lang/Object;+15
j net.sourceforge.dvb.projectx.common.GuiInterface.getImplementation(Z)V+10
j net.sourceforge.dvb.projectx.common.GuiInterface.<init>(Z)V+16
j net.sourceforge.dvb.projectx.common.Common.prepareGui(Z)V+11
j net.sourceforge.dvb.projectx.common.Start.main([Ljava/lang/String;)V+608
v ~StubRoutines::call_stub
V [libjvm.so+0x3321cb]
V [libjvm.so+0x331348]
V [libjvm.so+0x33b661]
V [libjvm.so+0x3587d5]
C [libjli.so+0x3e4d]

Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
j sun.misc.Unsafe.getByte(J)B+0
j sun.awt.X11.Native.getUByte(J)S+7
j sun.awt.X11.Native.getUByte(JI)S+4
j sun.awt.X11.XToolkit.setupModifierMap()V+177
j sun.awt.X11.XToolkit.<clinit>()V+158
v ~StubRoutines::call_stub
j java.lang.Class.forName0(Ljava/lang/String;ZLjava/lang/ClassLoader;)Ljava/lang/Class;+0
j java.lang.Class.forName(Ljava/lang/String;)Ljava/lang/Class;+5
j java.awt.Toolkit$2.run()Ljava/lang/Object;+13
v ~StubRoutines::call_stub
j java.security.AccessController.doPrivileged(Ljava/security/PrivilegedAction;)Ljava/lang/Object;+0
j java.awt.Toolkit.getDefaultToolkit()Ljava/awt/Toolkit;+16
j javax.swing.JFileChooser.installShowFilesListener()V+0
j javax.swing.JFileChooser.setup(Ljavax/swing/filechooser/FileSystemView;)V+1
j javax.swing.JFileChooser.<init>(Ljava/io/File;Ljavax/swing/filechooser/FileSystemView;)V+128
j javax.swing.JFileChooser.<init>()V+9
j net.sourceforge.dvb.projectx.gui.X_JFileChooser.<init>()V+1
j net.sourceforge.dvb.projectx.gui.CommonGui.<init>()V+8
j net.sourceforge.dvb.projectx.gui.GuiInterfaceImpl.init()V+4
j net.sourceforge.dvb.projectx.gui.GuiInterfaceImpl.<init>()V+5
v ~StubRoutines::call_stub
j sun.reflect.NativeConstructorAccessorImpl.newInstance0(Ljava/lang/reflect/Constructor;[Ljava/lang/Object;)Ljava/lang/Object;+0
j sun.reflect.NativeConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+72
j sun.reflect.DelegatingConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+5
j java.lang.reflect.Constructor.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+92
j java.lang.Class.newInstance0()Ljava/lang/Object;+118
j java.lang.Class.newInstance()Ljava/lang/Object;+15
j net.sourceforge.dvb.projectx.common.GuiInterface.getImplementation(Z)V+10
j net.sourceforge.dvb.projectx.common.GuiInterface.<init>(Z)V+16
j net.sourceforge.dvb.projectx.common.Common.prepareGui(Z)V+11
j net.sourceforge.dvb.projectx.common.Start.main([Ljava/lang/String;)V+608
v ~StubRoutines::call_stub

--------------- P R O C E S S ---------------

Java Threads: ( => current thread )
  0x00007f7a58036800 JavaThread "Java2D Disposer" daemon [_thread_blocked, id=13902, stack(0x0000000041656000,0x0000000041757000)]
  0x0000000000762000 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=13900, stack(0x0000000040df0000,0x0000000040ef1000)]
  0x000000000075f400 JavaThread "CompilerThread1" daemon [_thread_blocked, id=13899, stack(0x0000000040cef000,0x0000000040df0000)]
  0x000000000075b800 JavaThread "CompilerThread0" daemon [_thread_blocked, id=13898, stack(0x0000000040bee000,0x0000000040cef000)]
  0x0000000000759c00 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=13897, stack(0x0000000040618000,0x0000000040719000)]
  0x0000000000732400 JavaThread "Finalizer" daemon [_thread_blocked, id=13896, stack(0x0000000040aed000,0x0000000040bee000)]
  0x0000000000730c00 JavaThread "Reference Handler" daemon [_thread_blocked, id=13895, stack(0x00000000409ec000,0x0000000040aed000)]
=>0x0000000000609000 JavaThread "main" [_thread_in_vm, id=13891, stack(0x0000000041e8f000,0x0000000041f90000)]

Other Threads:
  0x000000000072b000 VMThread [stack: 0x00000000414fd000,0x00000000415fe000] [id=13894]
  0x0000000000764400 WatcherThread [stack: 0x0000000040ef1000,0x0000000040ff2000] [id=13901]

VM state:not at safepoint (normal execution)

VM Mutex/Monitor currently owned by a thread: None

Heap
 PSYoungGen total 9408K, used 3360K [0x00007f7a7c1a0000, 0x00007f7a7cc20000, 0x00007f7a869a0000)
  eden space 8064K, 25% used [0x00007f7a7c1a0000,0x00007f7a7c39c078,0x00007f7a7c980000)
  from space 1344K, 98% used [0x00007f7a7c980000,0x00007f7a7cacc048,0x00007f7a7cad0000)
  to space 1344K, 0% used [0x00007f7a7cad0000,0x00007f7a7cad0000,0x00007f7a7cc20000)
 PSOldGen total 21504K, used 3734K [0x00007f7a671a0000, 0x00007f7a686a0000, 0x00007f7a7c1a0000)
  object space 21504K, 17% used [0x00007f7a671a0000,0x00007f7a67545968,0x00007f7a686a0000)
 PSPermGen total 21248K, used 8806K [0x00007f7a5c9a0000, 0x00007f7a5de60000, 0x00007f7a671a0000)
  object space 21248K, 41% used [0x00007f7a5c9a0000,0x00007f7a5d239868,0x00007f7a5de60000)

Dynamic libraries:
00400000-00401000 r-xp 00000000 08:03 1894113 /usr/lib/jvm/java-7-icedtea/jre/bin/java
00600000-00601000 rw-p 00000000 08:03 1894113 /usr/lib/jvm/java-7-icedtea/jre/bin/java
00601000-00f2d000 rw-p 00601000 00:00 0 [heap]
40618000-4061b000 ---p 40618000 00:00 0
4061b000-40719000 rwxp 4061b000 00:00 0
407ea000-407eb000 ---p 407ea000 00:00 0
407eb000-408eb000 rwxp 407eb000 00:00 0
408eb000-408ec000 ---p 408eb000 00:00 0
408ec000-409ec000 rwxp 408ec000 00:00 0
409ec000-409ef000 ---p 409ec000 00:00 0
409ef000-40aed000 rwxp 409ef000 00:00 0
40aed000-40af0000 ---p 40aed000 00:00 0
40af0000-40bee000 rwxp 40af0000 00:00 0
40bee000-40bf1000 ---p 40bee000 00:00 0
40bf1000-40cef000 rwxp 40bf1000 00:00 0
40cef000-40cf2000 ---p 40cef000 00:00 0
40cf2000-40df0000 rwxp 40cf2000 00:00 0
40df0000-40df3000 ---p 40df0000 00:00 0
40df3000-40ef1000 rwxp 40df3000 00:00 0
40ef1000-40ef2000 ---p 40ef1000 00:00 0
40ef2000-40ff2000 rwxp 40ef2000 00:00 0
414fd000-414fe000 ---p 414fd000 00:00 0
414fe000-415fe000 rwxp 414fe000 00:00 0
41656000-41659000 ---p 41656000 00:00 0
41659000-41757000 rwxp 41659000 00:00 0
41e8f000-41e92000 ---p 41e8f000 00:00 0
41e92000-41f90000 rwxp 41e92000 00:00 0
7f7a5659a000-7f7a565a7000 r-xp 00000000 08:03 950966 /lib/libgcc_s.so.1
7f7a565a7000-7f7a567a7000 ---p 0000d000 08:03 950966 /lib/libgcc_s.so.1
7f7a567a7000-7f7a567a8000 rw-p 0000d000 08:03 950966 /lib/libgcc_s.so.1
7f7a567a8000-7f7a56822000 r-xp 00000000 08:03 1241865 /usr/lib/libfreetype.so.6.3.16
7f7a56822000-7f7a56a22000 ---p 0007a000 08:03 1241865 /usr/lib/libfreetype.so.6.3.16
7f7a56a22000-7f7a56a27000 rw-p 0007a000 08:03 1241865 /usr/lib/libfreetype.so.6.3.16
7f7a56a27000-7f7a56a6d000 r-xp 00000000 08:03 1762663 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libfontmanager.so
7f7a56a6d000-7f7a56c6c000 ---p 00046000 08:03 1762663 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libfontmanager.so
7f7a56c6c000-7f7a56c70000 rw-p 00045000 08:03 1762663 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libfontmanager.so
7f7a56c70000-7f7a56c80000 rw-p 7f7a56c70000 00:00 0
7f7a56c80000-7f7a56caf000 r-xp 00000000 08:03 1763041 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/liblcms.so
7f7a56caf000-7f7a56eae000 ---p 0002f000 08:03 1763041 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/liblcms.so
7f7a56eae000-7f7a56eb0000 rw-p 0002e000 08:03 1763041 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/liblcms.so
7f7a56eb0000-7f7a56eb2000 rw-p 7f7a56eb0000 00:00 0
7f7a56eb2000-7f7a56eb7000 r-xp 00000000 08:03 1241642 /usr/lib/libXdmcp.so.6.0.0
7f7a56eb7000-7f7a570b6000 ---p 00005000 08:03 1241642 /usr/lib/libXdmcp.so.6.0.0
7f7a570b6000-7f7a570b7000 rw-p 00004000 08:03 1241642 /usr/lib/libXdmcp.so.6.0.0
7f7a570b7000-7f7a570d3000 r-xp 00000000 08:03 1241602 /usr/lib/libxcb.so.1.0.0
7f7a570d3000-7f7a572d2000 ---p 0001c000 08:03 1241602 /usr/lib/libxcb.so.1.0.0
7f7a572d2000-7f7a572d3000 rw-p 0001b000 08:03 1241602 /usr/lib/libxcb.so.1.0.0
7f7a572d3000-7f7a572d4000 r-xp 00000000 08:03 1242807 /usr/lib/libxcb-xlib.so.0.0.0
7f7a572d4000-7f7a574d3000 ---p 00001000 08:03 1242807 /usr/lib/libxcb-xlib.so.0.0.0
7f7a574d3000-7f7a574d4000 rw-p 00000000 08:03 1242807 /usr/lib/libxcb-xlib.so.0.0.0
7f7a574d4000-7f7a574d6000 r-xp 00000000 08:03 1241631 /usr/lib/libXau.so.6.0.0
7f7a574d6000-7f7a576d5000 ---p 00002000 08:03 1241631 /usr/lib/libXau.so.6.0.0
7f7a576d5000-7f7a576d6000 rw-p 00001000 08:03 1241631 /usr/lib/libXau.so.6.0.0
7f7a576d6000-7f7a576df000 r-xp 00000000 08:03 1241386 /usr/lib/libXi.so.6.0.0
7f7a576df000-7f7a578de000 ---p 00009000 08:03 1241386 /usr/lib/libXi.so.6.0.0
7f7a578de000-7f7a578df000 rw-p 00008000 08:03 1241386 /usr/lib/libXi.so.6.0.0
7f7a578df000-7f7a578e4000 r-xp 00000000 08:03 1241667 /usr/lib/libXtst.so.6.1.0
7f7a578e4000-7f7a57ae4000 ---p 00005000 08:03 1241667 /usr/lib/libXtst.so.6.1.0
7f7a57ae4000-7f7a57ae5000 rw-p 00005000 08:03 1241667 /usr/lib/libXtst.so.6.1.0
7f7a57ae5000-7f7a57be9000 r-xp 00000000 08:03 1240747 /usr/lib/libX11.so.6.2.0
7f7a57be9000-7f7a57de9000 ---p 00104000 08:03 1240747 /usr/lib/libX11.so.6.2.0
7f7a57de9000-7f7a57def000 rw-p 00104000 08:03 1240747 /usr/lib/libX11.so.6.2.0
7f7a57def000-7f7a57e00000 r-xp 00000000 08:03 1241646 /usr/lib/libXext.so.6.4.0
7f7a57e00000-7f7a57fff000 ---p 00011000 08:03 1241646 /usr/lib/libXext.so.6.4.0
7f7a57fff000-7f7a58000000 rw-p 00010000 08:03 1241646 /usr/lib/libXext.so.6.4.0
7f7a58000000-7f7a5823c000 rw-p 7f7a58000000 00:00 0
7f7a5823c000-7f7a5c000000 ---p 7f7a5823c000 00:00 0
7f7a5c098000-7f7a5c0a1000 r--s 00000000 08:03 425646 /var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-x86-64.cache-2
7f7a5c0a1000-7f7a5c0a4000 r--s 00000000 08:03 425643 /var/cache/fontconfig/e383d7ea5fbe662a33d9b44caf393297-x86-64.cache-2
7f7a5c0a4000-7f7a5c0a6000 r--s 00000000 08:03 425638 /var/cache/fontconfig/e3fa16a14183b06aa45b3e009278fd14-x86-64.cache-2
7f7a5c0a6000-7f7a5c0ab000 r--s 00000000 08:03 425635 /var/cache/fontconfig/921a30a17f0be15c70ac14043cb7a739-x86-64.cache-2
7f7a5c0ab000-7f7a5c0ac000 r--s 00000000 08:03 425633 /var/cache/fontconfig/c69f04ab05004e31a6d5e715764f16d8-x86-64.cache-2
7f7a5c0ac000-7f7a5c0ad000 r--s 00000000 08:03 425631 /var/cache/fontconfig/4c73fe0c47614734b17d736dbde7580a-x86-64.cache-2
7f7a5c0ad000-7f7a5c0b1000 r--s 00000000 08:03 425630 /var/cache/fontconfig/a755afe4a08bf5b97852ceb7400b47bc-x86-64.cache-2
7f7a5c0b1000-7f7a5c0ba000 r--s 00000000 08:03 425621 /var/cache/fontconfig/6d41288fd70b0be22e8c3a91e032eec0-x86-64.cache-2
7f7a5c0ba000-7f7a5c0bd000 r--s 00000000 08:03 425909 /var/cache/fontconfig/de156ccd2eddbdc19d37a45b8b2aac9c-x86-64.cache-2
7f7a5c0bd000-7f7a5c0c8000 r--s 00000000 08:03 425574 /var/cache/fontconfig/e3de0de479f42330eadf588a55fb5bf4-x86-64.cache-2
7f7a5c0c8000-7f7a5c0d3000 r--s 00000000 08:03 426291 /var/cache/fontconfig/0f34bcd4b6ee430af32735b75db7f02b-x86-64.cache-2
7f7a5c0d3000-7f7a5c0d4000 r--s 00000000 08:03 425513 /var/cache/fontconfig/4794a0821666d79190d59a36cb4f44b5-x86-64.cache-2
7f7a5c0d4000-7f7a5c102000 r--s 00000000 08:03 425510 /var/cache/fontconfig/365b55f210c0a22e9a19e35191240f32-x86-64.cache-2
7f7a5c102000-7f7a5c105000 r--s 00000000 08:03 425502 /var/cache/fontconfig/de9486f0b47a4d768a594cb4198cb1c6-x86-64.cache-2
7f7a5c105000-7f7a5c10e000 r--s 00000000 08:03 425499 /var/cache/fontconfig/d52a8644073d54c13679302ca1180695-x86-64.cache-2
7f7a5c10e000-7f7a5c112000 r--s 00000000 08:03 425498 /var/cache/fontconfig/089dead882dea3570ffc31a9898cfb69-x86-64.cache-2
7f7a5c112000-7f7a5c11b000 r--s 00000000 08:03 425646 /var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-x86-64.cache-2
7f7a5c11b000-7f7a5c11e000 r--s 00000000 08:03 425643 /var/cache/fontconfig/e383d7ea5fbe662a33d9b44caf393297-x86-64.cache-2
7f7a5c11e000-7f7a5c120000 r--s 00000000 08:03 425638 /var/cache/fontconfig/e3fa16a14183b06aa45b3e009278fd14-x86-64.cache-2
7f7a5c120000-7f7a5c125000 r--s 00000000 08:03 425635 /var/cache/fontconfig/921a30a17f0be15c70ac14043cb7a739-x86-64.cache-2
7f7a5c125000-7f7a5c126000 r--s 00000000 08:03 425633 /var/cache/fontconfig/c69f04ab05004e31a6d5e715764f16d8-x86-64.cache-2
7f7a5c126000-7f7a5c127000 r--s 00000000 08:03 425631 /var/cache/fontconfig/4c73fe0c47614734b17d736dbde7580a-x86-64.cache-2
7f7a5c127000-7f7a5c12b000 r--s 00000000 08:03 425630 /var/cache/fontconfig/a755afe4a08bf5b97852ceb7400b47bc-x86-64.cache-2
7f7a5c12b000-7f7a5c134000 r--s 00000000 08:03 425621 /var/cache/fontconfig/6d41288fd70b0be22e8c3a91e032eec0-x86-64.cache-2
7f7a5c134000-7f7a5c137000 r--s 00000000 08:03 425909 /var/cache/fontconfig/de156ccd2eddbdc19d37a45b8b2aac9c-x86-64.cache-2
7f7a5c137000-7f7a5c142000 r--s 00000000 08:03 425574 /var/cache/fontconfig/e3de0de479f42330eadf588a55fb5bf4-x86-64.cache-2
7f7a5c142000-7f7a5c14d000 r--s 00000000 08:03 426291 /var/cache/fontconfig/0f34bcd4b6ee430af32735b75db7f02b-x86-64.cache-2
7f7a5c14d000-7f7a5c14e000 r--s 00000000 08:03 425513 /var/cache/fontconfig/4794a0821666d79190d59a36cb4f44b5-x86-64.cache-2
7f7a5c14e000-7f7a5c17c000 r--s 00000000 08:03 425510 /var/cache/fontconfig/365b55f210c0a22e9a19e35191240f32-x86-64.cache-2
7f7a5c17c000-7f7a5c1c4000 r-xp 00000000 08:03 1845591 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/xawt/libmawt.so
7f7a5c1c4000-7f7a5c3c3000 ---p 00048000 08:03 1845591 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/xawt/libmawt.so
7f7a5c3c3000-7f7a5c3c7000 rw-p 00047000 08:03 1845591 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/xawt/libmawt.so
7f7a5c3c7000-7f7a5c3c8000 rw-p 7f7a5c3c7000 00:00 0
7f7a5c3c8000-7f7a5c45f000 r-xp 00000000 08:03 1762661 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libawt.so
7f7a5c45f000-7f7a5c65e000 ---p 00097000 08:03 1762661 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libawt.so
7f7a5c65e000-7f7a5c66a000 rw-p 00096000 08:03 1762661 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libawt.so
7f7a5c66a000-7f7a5c68e000 rw-p 7f7a5c66a000 00:00 0
7f7a5c68e000-7f7a5c695000 r--s 00000000 08:03 1257178 /usr/lib/gconv/gconv-modules.cache
7f7a5c695000-7f7a5c6d4000 r--p 00000000 08:03 1306483 /usr/lib/locale/en_US.utf8/LC_CTYPE
7f7a5c6d4000-7f7a5c84f000 r--s 031ce000 08:03 1763117 /usr/lib/jvm/java-7-icedtea/jre/lib/rt.jar
7f7a5c84f000-7f7a5c85a000 rwxp 7f7a5c84f000 00:00 0
7f7a5c85a000-7f7a5c8a3000 rwxp 7f7a5c85a000 00:00 0
7f7a5c8a3000-7f7a5c8ae000 rwxp 7f7a5c8a3000 00:00 0
7f7a5c8ae000-7f7a5c94b000 rwxp 7f7a5c8ae000 00:00 0
7f7a5c94b000-7f7a5c951000 rwxp 7f7a5c94b000 00:00 0
7f7a5c951000-7f7a5c99f000 rwxp 7f7a5c951000 00:00 0
7f7a5c99f000-7f7a5de60000 rwxp 7f7a5c99f000 00:00 0
7f7a5de60000-7f7a671a0000 rwxp 7f7a5de60000 00:00 0
7f7a671a0000-7f7a686a0000 rwxp 7f7a671a0000 00:00 0
7f7a686a0000-7f7a7c1a0000 rwxp 7f7a686a0000 00:00 0
7f7a7c1a0000-7f7a7cc20000 rwxp 7f7a7c1a0000 00:00 0
7f7a7cc20000-7f7a869a0000 rwxp 7f7a7cc20000 00:00 0
7f7a869a2000-7f7a869ac000 r--s 00000000 08:03 425443 /var/cache/fontconfig/e13b20fdb08344e0e664864cc2ede53d-x86-64.cache-2
7f7a869ac000-7f7a869af000 r--s 00000000 08:03 425502 /var/cache/fontconfig/de9486f0b47a4d768a594cb4198cb1c6-x86-64.cache-2
7f7a869af000-7f7a86c1f000 rwxp 7f7a869af000 00:00 0
7f7a86c1f000-7f7a899af000 rwxp 7f7a86c1f000 00:00 0
7f7a899af000-7f7a899b6000 r-xp 00000000 08:03 1763052 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libzip.so
7f7a899b6000-7f7a89bb6000 ---p 00007000 08:03 1763052 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libzip.so
7f7a89bb6000-7f7a89bb7000 rw-p 00007000 08:03 1763052 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libzip.so
7f7a89bb7000-7f7a89be4000 r-xp 00000000 08:03 1762670 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libjava.so
7f7a89be4000-7f7a89de3000 ---p 0002d000 08:03 1762670 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libjava.so
7f7a89de3000-7f7a89de7000 rw-p 0002c000 08:03 1762670 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libjava.so
7f7a89de7000-7f7a89df4000 r-xp 00000000 08:03 1763051 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libverify.so
7f7a89df4000-7f7a89ff3000 ---p 0000d000 08:03 1763051 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libverify.so
7f7a89ff3000-7f7a89ff5000 rw-p 0000c000 08:03 1763051 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/libverify.so
7f7a89ff5000-7f7a89fff000 r-xp 00000000 08:03 947010 /lib/libnss_files-2.7.so
7f7a89fff000-7f7a8a1ff000 ---p 0000a000 08:03 947010 /lib/libnss_files-2.7.so
7f7a8a1ff000-7f7a8a201000 rw-p 0000a000 08:03 947010 /lib/libnss_files-2.7.so
7f7a8a201000-7f7a8a20b000 r-xp 00000000 08:03 947012 /lib/libnss_nis-2.7.so
7f7a8a20b000-7f7a8a40a000 ---p 0000a000 08:03 947012 /lib/libnss_nis-2.7.so
7f7a8a40a000-7f7a8a40c000 rw-p 00009000 08:03 947012 /lib/libnss_nis-2.7.so
7f7a8a40c000-7f7a8a414000 r-xp 00000000 08:03 947008 /lib/libnss_compat-2.7.so
7f7a8a414000-7f7a8a613000 ---p 00008000 08:03 947008 /lib/libnss_compat-2.7.so
7f7a8a613000-7f7a8a615000 rw-p 00007000 08:03 947008 /lib/libnss_compat-2.7.so
7f7a8a615000-7f7a8a62b000 r-xp 00000000 08:03 947005 /lib/libnsl-2.7.so
7f7a8a62b000-7f7a8a82a000 ---p 00016000 08:03 947005 /lib/libnsl-2.7.so
7f7a8a82a000-7f7a8a82c000 rw-p 00015000 08:03 947005 /lib/libnsl-2.7.so
7f7a8a82c000-7f7a8a82e000 rw-p 7f7a8a82c000 00:00 0
7f7a8a82e000-7f7a8a836000 r-xp 00000000 08:03 1763054 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/native_threads/libhpi.so
7f7a8a836000-7f7a8aa36000 ---p 00008000 08:03 1763054 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/native_threads/libhpi.so
7f7a8aa36000-7f7a8aa37000 rw-p 00008000 08:03 1763054 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/native_threads/libhpi.so
7f7a8aa37000-7f7a8aa38000 rw-p 7f7a8aa37000 00:00 0
7f7a8aa38000-7f7a8aa40000 r-xp 00000000 08:03 947017 /lib/librt-2.7.so
7f7a8aa40000-7f7a8ac3f000 ---p 00008000 08:03 947017 /lib/librt-2.7.so
7f7a8ac3f000-7f7a8ac41000 rw-p 00007000 08:03 947017 /lib/librt-2.7.so
7f7a8ac41000-7f7a8acc1000 r-xp 00000000 08:03 947003 /lib/libm-2.7.so
7f7a8acc1000-7f7a8aec0000 ---p 00080000 08:03 947003 /lib/libm-2.7.so
7f7a8aec0000-7f7a8aec2000 rw-p 0007f000 08:03 947003 /lib/libm-2.7.so
7f7a8aec2000-7f7a8b60b000 r-xp 00000000 08:03 1763056 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/server/libjvm.so
7f7a8b60b000-7f7a8b80b000 ---p 00749000 08:03 1763056 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/server/libjvm.so
7f7a8b80b000-7f7a8b886000 rw-p 00749000 08:03 1763056 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/server/libjvm.so
7f7a8b886000-7f7a8b8bf000 rw-p 7f7a8b886000 00:00 0
7f7a8b8bf000-7f7a8ba17000 r-xp 00000000 08:03 946853 /lib/libc-2.7.so
7f7a8ba17000-7f7a8bc17000 ---p 00158000 08:03 946853 /lib/libc-2.7.so
7f7a8bc17000-7f7a8bc1a000 r--p 00158000 08:03 946853 /lib/libc-2.7.so
7f7a8bc1a000-7f7a8bc1c000 rw-p 0015b000 08:03 946853 /lib/libc-2.7.so
7f7a8bc1c000-7f7a8bc21000 rw-p 7f7a8bc1c000 00:00 0
7f7a8bc21000-7f7a8bc23000 r-xp 00000000 08:03 947002 /lib/libdl-2.7.so
7f7a8bc23000-7f7a8be23000 ---p 00002000 08:03 947002 /lib/libdl-2.7.so
7f7a8be23000-7f7a8be25000 rw-p 00002000 08:03 947002 /lib/libdl-2.7.so
7f7a8be25000-7f7a8be31000 r-xp 00000000 08:03 1762659 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/jli/libjli.so
7f7a8be31000-7f7a8c031000 ---p 0000c000 08:03 1762659 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/jli/libjli.so
7f7a8c031000-7f7a8c032000 rw-p 0000c000 08:03 1762659 /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/jli/libjli.so
7f7a8c032000-7f7a8c048000 r-xp 00000000 08:03 947015 /lib/libpthread-2.7.so
7f7a8c048000-7f7a8c248000 ---p 00016000 08:03 947015 /lib/libpthread-2.7.so
7f7a8c248000-7f7a8c24a000 rw-p 00016000 08:03 947015 /lib/libpthread-2.7.so
7f7a8c24a000-7f7a8c24e000 rw-p 7f7a8c24a000 00:00 0
7f7a8c24e000-7f7a8c264000 r-xp 00000000 08:03 1241551 /usr/lib/libz.so.1.2.3.3
7f7a8c264000-7f7a8c464000 ---p 00016000 08:03 1241551 /usr/lib/libz.so.1.2.3.3
7f7a8c464000-7f7a8c465000 rw-p 00016000 08:03 1241551 /usr/lib/libz.so.1.2.3.3
7f7a8c465000-7f7a8c482000 r-xp 00000000 08:03 946701 /lib/ld-2.7.so
7f7a8c482000-7f7a8c48b000 r--s 00000000 08:03 425499 /var/cache/fontconfig/d52a8644073d54c13679302ca1180695-x86-64.cache-2
7f7a8c48b000-7f7a8c48f000 r--s 00000000 08:03 425498 /var/cache/fontconfig/089dead882dea3570ffc31a9898cfb69-x86-64.cache-2
7f7a8c48f000-7f7a8c499000 r--s 00000000 08:03 425443 /var/cache/fontconfig/e13b20fdb08344e0e664864cc2ede53d-x86-64.cache-2
7f7a8c499000-7f7a8c49d000 r--s 00079000 08:03 1763112 /usr/lib/jvm/java-7-icedtea/jre/lib/jsse.jar
7f7a8c49d000-7f7a8c4a6000 r--s 00065000 08:03 1894205 /usr/lib/jvm/java-7-icedtea/jre/lib/ext/gnome-java-bridge.jar
7f7a8c4a6000-7f7a8c4b1000 rwxp 7f7a8c4a6000 00:00 0
7f7a8c4b1000-7f7a8c4fa000 rwxp 7f7a8c4b1000 00:00 0
7f7a8c4fa000-7f7a8c505000 rwxp 7f7a8c4fa000 00:00 0
7f7a8c505000-7f7a8c5a2000 rwxp 7f7a8c505000 00:00 0
7f7a8c5a2000-7f7a8c5ac000 rwxp 7f7a8c5a2000 00:00 0
7f7a8c5ac000-7f7a8c662000 rwxp 7f7a8c5ac000 00:00 0
7f7a8c662000-7f7a8c666000 rw-p 7f7a8c662000 00:00 0
7f7a8c667000-7f7a8c66d000 r--s 000f6000 08:03 1763116 /usr/lib/jvm/java-7-icedtea/jre/lib/resources.jar
7f7a8c66d000-7f7a8c675000 r--s 00089000 08:03 1408075 /usr/share/java/ProjectX.jar
7f7a8c675000-7f7a8c67d000 rw-s 00000000 08:05 81 /tmp/hsperfdata_kai/13890
7f7a8c67d000-7f7a8c67e000 rwxp 7f7a8c67d000 00:00 0
7f7a8c67e000-7f7a8c67f000 r--p 7f7a8c67e000 00:00 0
7f7a8c67f000-7f7a8c682000 rw-p 7f7a8c67f000 00:00 0
7f7a8c682000-7f7a8c684000 rw-p 0001d000 08:03 946701 /lib/ld-2.7.so
7fff9466e000-7fff94681000 rwxp 7ffffffea000 00:00 0 [stack]
7fff94681000-7fff94683000 rw-p 7fffffffd000 00:00 0
7fff947fe000-7fff94800000 r-xp 7fff947fe000 00:00 0 [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall]

VM Arguments:
java_command: /usr/share/java/ProjectX.jar
Launcher Type: SUN_STANDARD

Environment Variables:
PATH=/usr/local/cuda/bin:/home/kai/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
USERNAME=kai
LD_LIBRARY_PATH=/usr/lib/jvm/java-7-icedtea/jre/lib/amd64/server:/usr/lib/jvm/java-7-icedtea/jre/lib/amd64:/usr/lib/jvm/java-7-icedtea/jre/../lib/amd64:/usr/local/cuda/lib/:
SHELL=/bin/bash
DISPLAY=:0.0

Signal Handlers:
SIGSEGV: [libjvm.so+0x5eaa40], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGBUS: [libjvm.so+0x5eaa40], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGFPE: [libjvm.so+0x4c9790], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGPIPE: [libjvm.so+0x4c9790], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGXFSZ: [libjvm.so+0x4c9790], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGILL: [libjvm.so+0x4c9790], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGUSR1: SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000000
SIGUSR2: [libjvm.so+0x4ccbe0], sa_mask[0]=0x00000000, sa_flags=0x10000004
SIGHUP: [libjvm.so+0x4caa80], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGINT: [libjvm.so+0x4caa80], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGTERM: [libjvm.so+0x4caa80], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGQUIT: [libjvm.so+0x4caa80], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004

--------------- S Y S T E M ---------------

OS:Ubuntu 8.04 (hardy)
uname:Linux 2.6.24-7-generic #1 SMP Thu Feb 7 00:56:31 UTC 2008 x86_64
libc:glibc 2.7 NPTL 2.7
rlimit: STACK 8192k, CORE 0k, NPROC 16383, NOFILE 1024, AS infinity
load average:0.17 0.25 0.26

CPU:total 2 (2 cores per cpu, 1 threads per core) family 15 model 67 stepping 2, cmov, cx8, fxsr, mmx, sse, sse2, sse3, mmxext, 3dnow, 3dnowext

Memory: 4k page, physical 2063320k(36100k free), swap 7815612k(7784728k free)

vm_info: IcedTea 64-Bit Server VM (1.7.0-b24) for linux-amd64 JRE (1.7.0-b24), built on Jan 19 2008 17:37:38 by "buildd" with gcc 4.2.3 20080114 (prerelease) (Ubuntu 4.2.2-7ubuntu1)

time: Mon Feb 11 21:33:13 2008
elapsed time: 0 seconds

Download full text (34.7 KiB)

Kai Schroeder wrote:
> Public bug reported:
>
>
> project-x crashes directly when it is started:
>
> kai@main:~$ projectx
> Reading GUI-Switch...
> Reading Help Switch...
> Reading Config File Switch...
> Start with GUI...
> Loading last Config or Standard File...
> ini load error: java.io.FileNotFoundException: /home/kai/X.ini (No such file or directory)
> Loading Language -> 'en'
>
> ProjectX 0.90.4.00/30.03.2006 TEST PROJECT ONLY , User: kai
>
>
> TERMS AND CONDITIONS:
> (1) this is a free Java based demux utility.
> (2) It is intended for educational purposes only, as a non-commercial test project.
> (3) released under the terms of the GNU GPL.
> (4) there is NO WARRANTY of any kind attached to this software.
> (5) use it at your own risk and for your own education.
>
> Java Environment
> February 11, 2008 8:33:12 PM GMT
> java.version 1.7.0
> java.vendor Sun Microsystems Inc.
> java.home /usr/lib/jvm/java-7-icedtea/jre
> java.vm.version 1.7.0-b24
> java.vm.vendor Sun Microsystems Inc.
> java.vm.name IcedTea 64-Bit Server VM
> java.class.vers 50.0
> java.class.path /usr/share/java/ProjectX.jar
> os.name Linux
> os.arch amd64
> os.version 2.6.24-7-generic
> ini.file /home/kai/X.ini
> ext.disk.access disabled or library not found
> user.language en
> user.name kai
> user.home /home/kai
>
> quick CL usage:
> Note: CL doesn't load the GUI components, except with switch [-gui]
> <without options> ...starts the GUI
> switches and inputfiles can be in any order
>
> options:
> [-ini <path + inifile>] ..use that specified iniFile instead of the standard
> [-dvx1] ..create a .d2v ProjectFile on demux
> [-dvx2] ..create a .d2v ProjectFile + .ac3.wav (RIFF WAVE Header)
> [-dvx3] ..create a .d2v ProjectFile + .mpa.wav (RIFF WAVE Header)
> [-dvx4] ..create a .d2v ProjectFile + .ac3.wav + mpa.wav (RIFF WAVE Header)
> [-out <path>] ..use that specified directory for output
> [-name <filename>] ..use that specified filename for output
> [-cut <file>] ..use that text based file as cutpoint list
> [-chp <file>] ..use that text based file as chapterpoint list
> [-id <tokens>] ..use only these (P)IDs, separated by comma ","
> [-gui] ..display the GUI using all given CLI options
> [-log] ..write the normal logfile
> [-saveini] ..save changes made bei CLI in active .ini
> [-split <xxx>] ..split output at xxx MB
> [-demux, -tom2p, -topva, -tovdr, -tots, -filter] ..action types
>
> Loading Basic Classes...
> Reading CLI Switches...
> #
> # An unexpected error has been detected by Java Runtime Environment:
> #
> # SIGSEGV (0xb) at pc=0x00007f7a8b48c141, pid=13890, tid=1106835792
> #
> # Java VM: IcedTea 64-Bit Server VM (1.7.0-b24 mixed mode linux-amd64)
> # Problematic frame:
> # V [libjvm.so+0x5ca141]
> #
> # An error report file with more information is saved as:
> # /home/kai/hs_err_pid13890.log
> #
> # If you would like to submit a bug report, please visit:
> # http://icedtea.classpath.org/bugzilla
> #
> Aborted (core dumped)
> kai@main:~$ cat /home/kai/hs_err_pid13890.log
> #
> # An unexpected error has been detected by Java Runtime Environment:
> #
> # SIGSEGV (0xb) at pc=0x00007f7a8b48c141, pid=13890, tid=1106835792
> #
> # Java VM: Ice...

Hi - I have similar problem. Pls see the attached file

Cheers

laga (laga) wrote :

Projectx also crashes on my amd64 gutsy box - I backported it from Hardy.

After removing all java vms found on my system (there were about 5 of them for reasons I can only imagine) and installing icedtea-java7-jre from gutsy, I got the following message:

laga@prometheus:~/dev/projectx$ /usr/bin/projectx
Reading GUI-Switch...
Reading Help Switch...
Reading Config File Switch...
Start with GUI...
Loading last Config or Standard File...
Loading Language -> 'en'

ProjectX 0.90.4.00/30.03.2006 TEST PROJECT ONLY , User: laga

TERMS AND CONDITIONS:
(1) this is a free Java based demux utility.
(2) It is intended for educational purposes only, as a non-commercial test project.
(3) released under the terms of the GNU GPL.
(4) there is NO WARRANTY of any kind attached to this software.
(5) use it at your own risk and for your own education.

Java Environment
24. Februar 2008 13:36:11 CET
java.version 1.7.0
java.vendor Sun Microsystems Inc.
java.home /usr/lib/jvm/java-7-icedtea/jre
java.vm.version 1.7.0-b21
java.vm.vendor Sun Microsystems Inc.
java.vm.name IcedTea 64-Bit Server VM
java.class.vers 50.0
java.class.path /usr/share/java/ProjectX.jar
os.name Linux
os.arch amd64
os.version 2.6.22-14-generic
ini.file /home/laga/dev/projectx/X.ini
ext.disk.access disabled or library not found
user.language en
user.name laga
user.home /home/laga

quick CL usage:
Note: CL doesn't load the GUI components, except with switch [-gui]
<without options> ...starts the GUI
switches and inputfiles can be in any order

options:
[-ini <path + inifile>] ..use that specified iniFile instead of the standard
[-dvx1] ..create a .d2v ProjectFile on demux
[-dvx2] ..create a .d2v ProjectFile + .ac3.wav (RIFF WAVE Header)
[-dvx3] ..create a .d2v ProjectFile + .mpa.wav (RIFF WAVE Header)
[-dvx4] ..create a .d2v ProjectFile + .ac3.wav + mpa.wav (RIFF WAVE Header)
[-out <path>] ..use that specified directory for output
[-name <filename>] ..use that specified filename for output
[-cut <file>] ..use that text based file as cutpoint list
[-chp <file>] ..use that text based file as chapterpoint list
[-id <tokens>] ..use only these (P)IDs, separated by comma ","
[-gui] ..display the GUI using all given CLI options
[-log] ..write the normal logfile
[-saveini] ..save changes made bei CLI in active .ini
[-split <xxx>] ..split output at xxx MB
[-demux, -tom2p, -topva, -tovdr, -tots, -filter] ..action types

Loading Basic Classes...
Reading CLI Switches...
#
# An unexpected error has been detected by Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00002b1a8a925e11, pid=25439, tid=1074792784
#
# Java VM: IcedTea 64-Bit Server VM (1.7.0-b21 mixed mode linux-amd64)
# Problematic frame:
# V [libjvm.so+0x5c9e11]
#
# An error report file with more information is saved as:
# /home/laga/dev/projectx/hs_err_pid25439.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
#
Aborted (core dumped)

See attached log.

laga schrieb:
> Projectx also crashes on my amd64 gutsy box - I backported it from
> Hardy.
>

Just tried it with the sun-java6 packages and it's working fine there.

Achim (ach1m) wrote :

The problem is not the missing *.ini file.
If ProjectX could start it will create it.

There seems to be a problem with Java (IcedTea 64-Bit Server VM).
I hope this helps to solve the problem.

best wishes
Achim

description: updated
Achim (ach1m) wrote :

I have done some testing and as it seems the problem is definitely related to java IcedTea 64-bit.

I have done exactly the same steps as written in this comment/Bug report to perform a local build.
https://bugs.launchpad.net/ubuntu/+source/icedtea-java7/+bug/177514/comments/16

 # apt-get install icedtea-java7-jdk
 # apt-get build-dep icedtea-java7-plugin
 # apt-get -b source icedtea-java7-plugin icedtea-java7-bin icedtea-java7-jre icedtea-java7-jdk
 # dpkg -i icedtea-java7*.deb

The result is that ProjectX is running with no problems.
I have tested it by cutting a little video and no problems appeared to me.

best wishes
Achim

Achim (ach1m) wrote :

As it seems it must be a package problem.
A local build from source solves the problem.

Changed in icedtea-java7:
status: New → Confirmed
Achim (ach1m) wrote :

The Problem has nothing to do with project-x it is only related to icedtea-java7 64-bit.

Changed in project-x:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers